<?php
//ini_set('display_errors',1);
session_start();
require_once ("../../config/Cado.php");
require_once ("../venta/cVenta.php");
$oVenta = new cVenta();


require_once ("../puntoventa/cPuntoventa.php");
$oPuntoventa = new cPuntoventa();
require_once ("../bonificacionsucursal_cst/cBonificacionsucursal_cst.php");
$oBonificacionsucursal_cst = new cBonificacionsucursal_cst();

$fec = date('Y-m-d');
require_once ("../formatos/formato.php");
require_once ("../formatos/fechas.php");


$fec1 = $_POST["fec1"];
list($dia1,$mes1,$anio1) = explode('-',$fec1);

$fec2 = $_POST["fec2"];
list($dia2,$mes2,$anio2) = explode('-',$fec2);




$dts=$oPuntoventa->filtrar('','');

?>
<style>
	div#div_tabla { margin: 0 0; }
	div#div_tabla table { margin: 0 0; border-collapse: collapse; width: 100%; }
	div#div_tabla table td, div#div_tabla table th { border: 1px solid #eee; padding: 2px 3px; font-size:15px; }
	div#div_tabla table th { height:18px }
	div#div_tabla table td { height:17px }
</style>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
		    <div class="card">
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:5px;">
		
		<button class="btn btn-success " id="btn_excel"> <i class="fas fa-file-excel"></i> DESCARGAR EXCEL </button>
		
        	<div class="table-responsive" id="div_tabla">
			 
			<div class="col-lg-12 col-xs-12" style="height:10px;"></div>
			 
          <table id="tabla_resumen_todos" class="table table-bordered table-striped">
           <thead>
							
			<tr class="" style="font-weight:bold;font-size:16px;background-color:#B2EBF2">
				<th>SUCURSAL</th>
				
				
				
				<?php 
				
				if($mes1==$mes2){
				
				
				for($i=$dia1;$i<=$dia2;$i++){
					
					$i = $i*1;
					
					$fec = $i.'-'.$mes1.'-'.$anio1;
					
				?>
				<th><?php echo fecha_entexto_corto($fec,2); ?></th>
				<?php 
					
				}
				}else{
				?>
				<th>SELECCIONA FECHAS DEL MISMO MES.</th>
				<?php 	
				}
				
				?>


            <th>TOTAL</th>
				
			</tr>
		</thead>
		
		
		
		<tbody>
		
		
		
		<?php 
		
		 while($dt = mysqli_fetch_array($dts)){
		?>
		<tr>
				<td><?php echo $dt['tb_puntoventa_nom']; ?></td>
				
				
			
				<?php 
				
				if($mes1==$mes2){
				
				
				for($i=$dia1;$i<=$dia2;$i++){
					
					$i = $i*1;
					
					$fec = $i.'-'.$mes1.'-'.$anio1;
					
					$punven_id = $dt['tb_puntoventa_id'];
					
					
				$dts7 = $oBonificacionsucursal_cst->verSuma_BonificacionPuntoventaFecha(fecha_mysql($fec),$punven_id);
				$dt7 = mysqli_fetch_array($dts7);
				$totalbonificacion = $dt7['totalventa'];
					
					
					
				?>
				<td><?php echo formato_money($totalbonificacion); ?></td>
				<?php 
				
				$data["total_".$i] += $totalbonificacion;
					$data["totalventa_".$punven_id] += $totalbonificacion;
				}
				
				?>
				
				<td> 
				<table>
				<tr>
				<td> <?php echo formato_money($data["totalventa_".$punven_id]) ?> </td>
				</tr>
				</table>
				</td>
				
				
				<?php
				}else{
				?>
				<td>SELECCIONA FECHAS DEL MISMO MES.</td>
				<?php 	
				}
				
				?>


			
				
				
				
		</tr>
		<?php  
			 
		 }
		?>
		
		
		
		
		
		</tbody>
		
			
	<?php if($mes1==$mes2){?>
		<tr>
		
		<td></td>	
		
		
		
		<?PHP 
		for($i=$dia1;$i<=$dia2;$i++){
			
		?>
		
		<td></td>	
		
		<?PHP 
			
		}
		
		?>
		
		
		
		
		
		</tr>
	<?php }?>	
	
		
	<?php if($mes1==$mes2){?>
		<tr>
		
		<td>TOTAL</td>	
		
		
		
		<?PHP 
		for($i=$dia1;$i<=$dia2;$i++){
			$i = $i * 1;
		?>
		
		<td><?php echo formato_money($data["total_".$i]); ?></td>	
		
		<?PHP 
			
		}
		
		?>
		
		
		
		
		
		</tr>
	<?php }?>	
	
	
		
      </table>
	  	
	    </div>
	</div>
  </div>
</div>
</div>
</section>
<script type="text/javascript">
function abrirEnPestana(url) {
		var a = document.createElement("a");
		a.target = "_blank";
		a.href = url;
		a.click();
}
$(function(){
	
$("#btn_excel").click(function(){
		fec1 = "<?php echo fecha_mysql($_POST['fec1']) ?>";
		fec2 = "<?php echo fecha_mysql($_POST['fec2']) ?>";
	abrirEnPestana('../../files/bonificacionsucursal_cst/bonificacionsucursal_cst_excel.php?fec1='+fec1+'&fec2='+fec2);
});
	
	});
</script>  